Skip to main content
GET
/
vms
/
{vm_id}
/
interruption-history
Get interruption history
curl --request GET \
  --url https://api.nova-cloud.ai/vms/{vm_id}/interruption-history \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "interruptible_vm_id": "<string>",
    "preempted_by_vm_id": "<string>",
    "preempted_at": "2023-11-07T05:31:56Z",
    "restored_at": "2023-11-07T05:31:56Z",
    "downtime_seconds": 123,
    "status": "interrupted"
  }
]

Authorizations

Authorization
string
header
required

Use a JWT access token or API key (prefixed with nv_)

Path Parameters

vm_id
string<uuid>
required

Response

Interruption history

id
string
interruptible_vm_id
string
preempted_by_vm_id
string
preempted_at
string<date-time>
restored_at
string<date-time> | null
downtime_seconds
integer | null
status
enum<string>
Available options:
interrupted,
restored,
cancelled